#ifndef STABLE_H
#define STABLE_H

#include <QTableWidget>
#include <QStringList>

class STable : public QTableWidget
{
    Q_OBJECT    
public:
    enum E_ARTICLE
    {
        E_ARTICLE_NONE = -1,
        E_ARTICLE_ALL = 0,
        E_ARTICLE_BODY = 1,
        E_ARTICLE_REPLY = 2,
    };
    explicit STable(QWidget *parent = 0);
    void keyPressEvent(QKeyEvent* event);
    void SetHeaderList(QVector <QStringList> *_vecColumn,int _nColumn);
    void setArticleSelect(int _nArticle);
    int getArticleSelect(){return m_nArticle;}
    void Copy();
    void Paste();
    void Delete();
    static QString GetArticleType(int _nSelect);
private:
    int m_nArticle;
public:
    QStringList m_strListHeader;    
signals:
public slots:
    void HeaderContextMenuShow(const QPoint& pos);
    void menuInsert();
    void menuDelete();    
    void CellClick(int nRow,int nPrev);
};

#endif // STABLE_H
